Sets the colormap index of the pixel wand

- « ImagickPixel::setHSL

- ImagickPixelIterator »

- PHP Manual
- ImagickPixel
- Sets the colormap index of the pixel wand

# ImagickPixel::setIndex

(PECL imagick 2 >= 2.3.0, PECL imagick 3)

ImagickPixel::setIndex — Sets the colormap index of the pixel wand

### Description

public ImagickPixel::setIndex(int `$index`): bool

Sets the colormap index of the pixel wand.

### Parameters

`index`

### Return Values

Returns `true` on success.